%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-multiparty
Version:    3.2.4
Release:    4%{?dist}
Summary:    A multipart/form-data parser for Node.js which supports streaming
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/andrewrk/node-multiparty
Source0:    http://registry.npmjs.org/multiparty/-/multiparty-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

# Use Node.js core instead of the forked npm(readable-stream).
Patch0:     %{name}-3.2.3-Use-Node.js-core.patch

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
# Not yet packaged for Fedora.
# BuildRequires:  npm(findit)
# BuildRequires:  npm(hashish)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(request)
BuildRequires:  npm(stream-counter)
BuildRequires:  npm(superagent)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%patch0 -p1
chmod 644 index.js

%nodejs_fixdep -r readable-stream
%nodejs_fixdep stream-counter '~0.2'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/multiparty
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/multiparty

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
# /usr/bin/npm install findit@0.1.1
# /usr/bin/npm install hashish@0.0.4
/usr/bin/mocha --timeout 4000 --reporter spec --recursive test/test.js
%endif


%files
%doc CHANGELOG.md LICENSE README.md
%{nodejs_sitelib}/multiparty


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.4-1
- update to upstream release 3.2.4

* Tue Mar 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.3-2
- add README.md

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.3-1
- initial package
